Release notes about source plugins
AbandonedPublic

Authored by mpickering on Jul 9 2018, 9:25 AM.

Details

mpickering created this revision.Jul 9 2018, 9:25 AM

Great patch.

docs/users_guide/8.6.1-notes.rst
121

"The plugin mechanism" sounds better to me than "The plugins mechanism".
The current phrasing implies to me it's a mechanism of a plugin.

Maybe "run between frontend phases" would also be a better description.
That's assuming we can have plugins that operate on the parsed but not yet typechecked source.
Such a plugin isn't run after the frontend imo.

mpickering updated this revision to Diff 17243.Jul 9 2018, 11:07 AM
  • Update for comments
alpmestan accepted this revision.Jul 10 2018, 8:40 AM
This revision is now accepted and ready to land.Jul 10 2018, 8:40 AM
bgamari requested changes to this revision.Jul 27 2018, 9:36 AM

Hmm, I am a bit confused; there is already a mention of source plugins in the release notes under the "Plugins" section. @mpickering, you mean to add another mention?

This revision now requires changes to proceed.Jul 27 2018, 9:36 AM
mpickering abandoned this revision.Sep 28 2018, 9:10 PM

The plugins have been unleashed.